package com.tmax.openframe.file;

import org.mapstruct.*;
import org.mapstruct.factory.*;
import ch.obermuhlner.math.big.BigDecimalMath;
import com.tmax.openframe.dataset.*;
import com.tmax.openframe.variable.group.OIVPSAM_PEOPLE_INFO;
import java.math.*;
import java.util.*;
import lombok.*;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
@Mapper()
public interface OIVPSAM_OIVPSAM_FD_IN_OIVPTEST_FILE_DoToOIVPSAM_PEOPLE_INFOMapper {
    OIVPSAM_OIVPSAM_FD_IN_OIVPTEST_FILE_DoToOIVPSAM_PEOPLE_INFOMapper INSTANCE = Mappers
            .getMapper(OIVPSAM_OIVPSAM_FD_IN_OIVPTEST_FILE_DoToOIVPSAM_PEOPLE_INFOMapper.class);

    @Mapping(source = "WS_KEY", target = "WS_KEY")
    @Mapping(source = "WS_NAME", target = "WS_NAME")
    @Mapping(source = "WS_DEPARTMENT", target = "WS_DEPARTMENT")
    @Mapping(source = "WS_PHONE", target = "WS_PHONE")
    @Mapping(source = "WS_EMAIL", target = "WS_EMAIL")
    @Mapping(source = "WS_ADDRESS", target = "WS_ADDRESS")
    OIVPSAM_PEOPLE_INFO toOIVPSAM_PEOPLE_INFO(
            OIVPSAM_OIVPSAM_FD_IN_OIVPTEST_FILE_Do source);

    @Mapping(source = "WS_KEY", target = "WS_KEY")
    @Mapping(source = "WS_NAME", target = "WS_NAME")
    @Mapping(source = "WS_DEPARTMENT", target = "WS_DEPARTMENT")
    @Mapping(source = "WS_PHONE", target = "WS_PHONE")
    @Mapping(source = "WS_EMAIL", target = "WS_EMAIL")
    @Mapping(source = "WS_ADDRESS", target = "WS_ADDRESS")
    OIVPSAM_OIVPSAM_FD_IN_OIVPTEST_FILE_Do toOIVPSAM_OIVPSAM_FD_IN_OIVPTEST_FILE_Do(
            OIVPSAM_PEOPLE_INFO source);
}
